QGIS Application - Bug report #17773
No Retina / HiDPI support in 2.99 on osx
2018-01-02 07:36 AM - Michal Jurewicz

Status: Feedback

Priority: Normal

Assignee:

Category: mac_os_specific

Affected QGIS version:master Regression?: No
Operating System: MacOS Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 25669
Description

According to plans, QGIS 3.0 should support HiDPI displays. However current master 2.99 doesn't support Retina od MacOS on canvas.
Icons and menu text is OK, byt all graphic and text on map canvas and on print composer is still low resolution. Please see attached
screenshot. Icons are nice but points on map are very pixelated.

Related issues:
Related to QGIS Application - Bug report # 15984: Colour bars in colour choos... Closed 2016-12-14

Associated revisions

Revision ea982fe3 - 2018-10-19 02:50 PM - Denis Rouzaud

[fix #17773] fix HIDPI in map canvas on mac

For system introducing pixel device ratio, the image rendered by the canvas is actually scaled up to match the physical size of the canvas”

Revision fb2883c¢7 - 2018-10-19 08:56 PM - Denis Rouzaud

Merge pull request #8242 from 3nids/final_dpi

[fix #17773] fix HIDPI in map canvas on mac

History

#1 - 2018-01-02 09:47 AM - Nyall Dawson
- Subject changed from No Retina / HIDPI support in 2.99 to No Retina / HiDPI support in 2.99 on osx

Only an issue on osx

#2 - 2018-01-18 12:43 AM - Nikolay Lebedev

#15984 is also related to HiDPI osx.

#3 - 2018-01-24 08:33 PM - Jiirgen Fischer

- Related to Bug report #15984: Colour bars in colour chooser Ul are rendered with interleaved stripes added

#4 - 2018-07-02 09:05 PM - Ugo Santana
3.2 is here, all the interface is retina ready but the map is not. I'm seeing other OS screenshot with hidpi QGIS. Anyone know why it doesn’ t work on the

mac?

#5 - 2018-09-13 02:29 PM - Denis Rouzaud

- Category changed from OsX Ul to mac_os_specific

#6 - 2018-09-13 07:09 PM - Ugo Santana

Hi Denis,

| noticed you updated the category. Do you have any news about this non-retina situation?

#7 - 2018-09-20 05:51 PM - Denis Rouzaud

I had a quick look today nothing clear yet.

But...| compared result with rendering on linux and this is quite similar.
https://files.slack.com/files-pri/T295DSJ4Q-FCXENA3V0/image.png?pub_secret=a72f76cd6f

left mac, right linux.
do you have similar results?

#8 - 2018-09-20 09:03 PM - Ugo Santana

- File QGIS322-RESOLUTION-MAC.png added

Yes Denis, the same thing. | don't have linux to test here, but | saw some Windows interface posted online and it is really hidpi.

On the mac, the overall interface is perfectly high resolution, but the map canvas is not. I'm uploading an image showing the difference in resolution from

icons to the map canvas. Also, the icons of each cathegory on the sidebar are low resolution. This screenshot is from QGIS 3.2.2.

#9 - 2018-09-20 09:31 PM - Giovanni Manghi

- Status changed from Open to Feedback

#10 - 2018-10-05 10:03 PM - Denis Rouzaud

some more info here http://doc.qt.io/gt-5/scalability.html

apparently Mac has a different way of handling the DPI scaling.

That could explain it.

#11 - 2018-10-19 04:39 PM - Denis Rouzaud

PR on its way :)

https://github.com/qgis/QGIS/pull/8242

#12 - 2018-10-19 08:55 PM - Denis Rouzaud
- Status changed from Feedback to Closed
- % Done changed from 0 to 100
Applied in changeset commit:qgis|ea982fe3d268fd3d56833b17a2310607a00e29b9.

#13 - 2018-10-19 11:57 PM - Ugo Santana

Great news!!! :D

#14 - 2018-10-30 06:24 PM - Ugo Santana

Ugo Santana wrote:

Great news!!! :D

3.4 installed and it is retinified!

Everything is great now! Thanks Denis!

#15 - 2018-11-13 09:27 AM - Michal Jurewicz
- Status changed from Closed to Reopened
- File Zrzut ekranu 2018-11-13 0 09.21.37.png added

| just installed 3.4.1 from official binaries (qgis.org) and map canva is still not-retina. Please see the screenshot, icons are smooth but points on map are

still blured.

#16 - 2019-03-09 04:34 PM - Giovanni Manghi
- Status changed from Reopened to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.

Files

Zrzut ekranu 2018-01-02 0 07.24.44.png 60.3 KB 2018-01-02 Michal Jurewicz
